Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Typedefs | Functions | Variables
os2.c File Reference
`#include "ruby.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <fcntl.h>`
`#include <process.h>`
`#include <limits.h>`
`#include <errno.h>`
`#include <os2.h>`
Include dependency graph for os2.c:

Go to the source code of this file.

## Macros
#define | INCL_DOS

## Typedefs
typedef char * | CHARP

## Functions
int | chown (char *path, int owner, int group)
| if ((shell=getenv("RUBYSHELL"))!=NULL &&*shell!= '\0')
else | if ((shell=getenv("SHELL"))!=NULL &&*shell!= '\0')
else | if ((shell=getenv("COMSPEC"))!=NULL &&*shell!= '\0')
| for (s=cmd;*s;s++)
| strcpy (cmd2, cmd)
| if (argv[0])
| free (cmd2)
| free (argv)

## Variables
int char * | cmd
register char * | s
char ** | argv = ALLOC_N(CHARP,(strlen(cmd) / 2 + 2))
char * | shell
char * | sw
char * | cmd2 = ALLOC_N(char, (strlen(cmd) + 1))
int | status
| a = argv

## Macro Definition Documentation

#define INCL_DOS

Definition at line 11 of file os2.c.

## Typedef Documentation

typedef char* CHARP

Definition at line 51 of file os2.c.

## Function Documentation

int chown | ( | char * | path,
|  | int | owner,
|  | int | group
| ) |  |

Definition at line 15 of file os2.c.

for | ( | s | = `cmd; *s; s++` | ) |

Definition at line 96 of file os2.c.

References index, NULL, and status.

free | ( | cmd2 |  | ) |

free | ( | argv |  | ) |

if | ( | (shell=getenv("RUBYSHELL"))! | = `NULL && *shell != '\0'` | ) |

Definition at line 63 of file os2.c.

References s, shell, and strstr().

else if | ( | (shell=getenv("SHELL"))! | = `NULL && *shell != '\0'` | ) |

Definition at line 72 of file os2.c.

else if | ( | (shell=getenv("COMSPEC"))! | = `NULL && *shell != '\0'` | ) |

Definition at line 81 of file os2.c.

if | ( | argv | [0] | ) |

Definition at line 128 of file os2.c.

References free.

strcpy | ( | cmd2 | ,
|  | cmd |
| ) |  |

Referenced by CONF_get1_default_config_file(), date_zone_to_diff(), dlhandle_sym(), dln_load(), fiddle_handle_sym(), get_backup_filename(), getnameinfo(), host_str(), inspect1(), inspect2(), main(), nkf_locale_charmap(), port_str(), proc_exec_cmd(), readline_attempted_completion_function(), sdbm_open(), and sock_s_getnameinfo().

## Variable Documentation

* a = argv

Definition at line 118 of file os2.c.

argv = ALLOC_N(CHARP,(strlen(cmd) / 2 + 2))

Definition at line 59 of file os2.c.

int char* cmd

Definition at line 55 of file os2.c.

cmd2 = ALLOC_N(char, (strlen(cmd) + 1))

Definition at line 60 of file os2.c.

while s

Initial value:
{
register char **a
a
Real * a
Definition: bigdecimal.c:1182

Definition at line 56 of file os2.c.

Referenced by apply2files(), backref_match_at_nested_level(), backtrace_mark(), backward_search_range(), BigDecimal_sign(), BigDecimal_split(), bm_search(), bm_search_backward(), bm_search_ic(), bm_search_notrev(), bm_search_notrev_ic(), bracket(), c_valid_time_p(), check_pipe_command(), cn_i(), copy_fd(), d_lite_jisx0301(), d_lite_plus(), date__strptime(), date__strptime_internal(), date_strftime_with_tmx(), date_zone_to_diff(), datetime_s_civil(), datetime_s_commercial(), datetime_s_jd(), datetime_s_now(), datetime_s_ordinal(), dt_lite_jisx0301(), env_assoc(), env_each_pair(), env_has_key(), env_has_value(), env_inspect(), env_key(), env_keys(), env_rassoc(), env_select(), env_shift(), env_to_a(), env_to_hash(), env_values(), extract_fd(), f_format(), f_round_common(), flo_to_s(), fnmatch(), fnmatch_helper(), for(), forward_search_range(), get_c_civil(), get_c_time(), get_char_length_tree1(), get_device_once(), getaddrinfo(), gzreader_charboundary(), if(), infected_str_new(), inspect_ary(), inspect_sockaddr(), io_setstrbuf(), is_private_local_id(), join_argv(), lgamma_r(), load_encoding(), loaded_feature_path(), loaded_feature_path_i(), long_mul(), make_errno_exc_str(), map_search(), map_search_backward(), match_at(), method_inspect(), mmrot3_(), mmswap_(), month_arg(), name_to_backref_number(), next_setup(), node_str_cat_char(), nucomp_inspect(), nucomp_rationalize(), nucomp_to_f(), nucomp_to_i(), nucomp_to_r(), nurat_inspect(), of2str(), onig_node_free(), onig_node_str_cat(), onig_node_str_clear(), onig_search_gpos(), onigenc_single_byte_left_adjust_char_head(), onigenc_step_back(), ossl_asn1_is_explicit(), ossl_asn1_tag_class(), ossl_pkcs7_sym2typeid(), ossl_sslctx_set_ssl_version(), ossl_x509attr_set_oid(), ossl_x509ext_set_oid(), ossl_x509ext_set_value(), overlapped_socket_io(), pack_unpack(), parse_day_cb(), parse_frag_cb(), parse_time2_cb(), parser_compile_string(), parser_magic_comment(), path_check_0(), proc_exec_sh(), proc_options(), process_options(), push_include(), qpencode(), rb_alloc_tmp_buffer(), rb_cstr_to_inum(), rb_dlptr_initialize(), rb_dlptr_s_malloc(), rb_econv_insert_output(), rb_enc_path_next(), rb_f_kill(), rb_fiddle_ptr_initialize(), rb_fiddle_ptr_s_malloc(), rb_file_expand_path_internal(), rb_free_tmp_buffer(), rb_gzfile_set_comment(), rb_gzfile_set_orig_name(), rb_invalid_str(), rb_io_getline_1(), rb_load_file(), rb_mod_to_s(), rb_num2long(), rb_num2ulong(), rb_reg_expr_str(), rb_reg_init_copy(), rb_reg_quote(), rb_reg_regsub(), rb_str_capitalize_bang(), rb_str_coderange_scan_restartable(), rb_str_count(), rb_str_crypt(), rb_str_delete_bang(), rb_str_downcase_bang(), rb_str_end_with(), rb_str_enumerate_lines(), rb_str_format(), rb_str_index(), rb_str_lstrip_bang(), rb_str_reverse(), rb_str_reverse_bang(), rb_str_rindex(), rb_str_rstrip_bang(), rb_str_squeeze_bang(), rb_str_succ(), rb_str_swapcase_bang(), rb_str_to_dbl(), rb_str_to_inum(), rb_str_upcase_bang(), rb_str_upto(), rb_strftime_with_timespec(), rb_string_value(), rb_string_value_cstr(), rb_struct_each(), rb_struct_each_pair(), rb_tmp_class_path(), rb_w32_fdclr(), rb_w32_fdisset(), rb_w32_socket(), rb_w32_strerror(), rb_w32_write_console(), read_digits(), read_num(), read_rat_nos(), read_sign(), recvmsg(), reg_named_capture_assign_iter(), reg_operand(), remove_backslashes(), rmext(), rotl64_to(), rt_rewrite_frags(), ruby_brace_expand(), ruby_close(), ruby_dtoa(), ruby_executable_node(), ruby_getpeername(), ruby_getsockname(), ruby_hdtoa(), ruby_scan_hex(), ruby_scan_oct(), ruby_shutdown(), ruby_strtod(), s3e(), search_nonascii(), sendmsg(), set_arg0(), set_bm_skip(), set_encoding_const(), set_file_encoding(), slow_search(), slow_search_backward(), slow_search_backward_ic(), slow_search_ic(), sock_s_getservbyport(), str_strlen(), strchr(), strdup_with_null(), string_to_c(), string_to_c_strict(), string_to_r(), string_to_r_strict(), strio_getline(), strio_ungetbyte(), strrchr(), switch(), time_mdump(), time_mload(), time_to_datetime(), time_to_df(), tmx_m_msecs(), tmx_m_secs(), to_ascii(), tr_trans(), trap_signm(), update_char_offset(), utc_offset_arg(), VpMult(), VpPower(), VpSetPrecLimit(), wi_mul(), wstati64(), zone_str(), and zone_str_update().

char* shell

Definition at line 60 of file os2.c.

Referenced by if(), proc_exec_sh(), rb_w32_aspawn_flags(), and rb_w32_spawn().

return status

Definition at line 61 of file os2.c.

char * sw

Definition at line 60 of file os2.c.

Referenced by BigDecimal_mode(), BigDecimal_round(), check_rounding_mode(), and VpAddSub().